Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: Problem installing nvidia drivers 390

  1. #1
    Join Date
    Dec 2011
    Beans
    19

    Question Problem installing nvidia drivers 390

    Hello dear ubuntu users

    I dont recall the exact model of the GPU, i think its a nvidia 510ti

    Ive tested removing the drivers and then installing them again by the command line, no luck.
    Ive tried the automatic installer in additional drivers, no luck either.


    Ive tried what several sites in internet say, with no results

    I managed to get the drivers working in a previous install of ubuntu 20.04, but i had to reinstall and now i dont seem to get it working.

    Using nvidia-settings gives a blank config interface, and this output in the console

    HTML Code:
    ERROR: NVIDIA driver is not loaded
    
    
    ERROR: Unable to load info from any available system
    
    
    (nvidia-settings:10827): GLib-GObject-CRITICAL **: 21:21:16.667: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
    ** Message: 21:21:16.672: PRIME: No offloading required. Abort
    ** Message: 21:21:16.672: PRIME: is it supported? no
    Would appreciate the help, thanks!

  2. #2
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,780
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Problem installing nvidia drivers 390

    Manucho; Hello -

    Show us what there is to work with.
    Post back the outputs of terminal commands:
    Code:
    lspci -k | grep -iEA5 'vga|3d'
    dpkg -l | grep -i nvidia
    lsmod | grep -i nvidia
    See where we go from here.

    all in the process
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  3. #3
    Join Date
    Jun 2010
    Location
    London, England
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Problem installing nvidia drivers 390

    What Linux kernel do you have?

    Code:
    uname -a
    I think there have been problems with the 5.8 kernels and I also think Nvidia drivers have also been connected to some of the problems.

    Can you use Advanced Options for Ubuntu to load into a 5.4 kernel? Would the open source Nouveau video driver be satisfactory for you?

    Regards

    P.S. An earlier thread illustrating my point about problems with the 5.8 kernel and Nvidia drivers

    https://ubuntuforums.org/showthread.php?t=2456371
    Last edited by grahammechanical; January 14th, 2021 at 05:54 AM.
    It is a machine. It is more stupid than we are. It will not stop us from doing stupid things.
    Ubuntu user #33,200. Linux user #530,530


  4. #4
    Join Date
    Dec 2011
    Beans
    19

    Re: Problem installing nvidia drivers 390

    HTML Code:
    manuel@hypericum:~$ lspci -k | grep -iEA5 'vga|3d'
    01:00.0 VGA compatible controller: NVIDIA Corporation GF116 [GeForce GTX 550 Ti] (rev a1)
        Subsystem: Point of View BV GF116 [GeForce GTX 550 Ti]
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia
    01:00.1 Audio device: NVIDIA Corporation GF116 High Definition Audio Controller (rev a1)
        Subsystem: Point of View BV GF116 High Definition Audio Controller
        Kernel driver in use: snd_hda_intel
    By the way, it seems sound is not working ok, mp3 songs jump from time to time and have strange glitches.

    HTML Code:
    manuel@hypericum:~$ dpkg -l | grep -i nvidia
    ii  libnvidia-cfg1-390:amd64                   390.141-0ubuntu0.20.04.1              amd64        NVIDIA binary OpenGL/GLX configuration library
    ii  libnvidia-common-390                       390.141-0ubuntu0.20.04.1              all          Shared files used by the NVIDIA libraries
    ii  libnvidia-compute-390:amd64                390.141-0ubuntu0.20.04.1              amd64        NVIDIA libcompute package
    ii  libnvidia-compute-390:i386                 390.141-0ubuntu0.20.04.1              i386         NVIDIA libcompute package
    rc  libnvidia-compute-460:amd64                460.32.03-0ubuntu0.20.04.1            amd64        NVIDIA libcompute package
    ii  libnvidia-decode-390:amd64                 390.141-0ubuntu0.20.04.1              amd64        NVIDIA Video Decoding runtime libraries
    ii  libnvidia-decode-390:i386                  390.141-0ubuntu0.20.04.1              i386         NVIDIA Video Decoding runtime libraries
    ii  libnvidia-encode-390:amd64                 390.141-0ubuntu0.20.04.1              amd64        NVENC Video Encoding runtime library
    ii  libnvidia-encode-390:i386                  390.141-0ubuntu0.20.04.1              i386         NVENC Video Encoding runtime library
    ii  libnvidia-fbc1-390:amd64                   390.141-0ubuntu0.20.04.1              amd64        NVIDIA OpenGL-based Framebuffer Capture runtime library
    ii  libnvidia-fbc1-390:i386                    390.141-0ubuntu0.20.04.1              i386         NVIDIA OpenGL-based Framebuffer Capture runtime library
    ii  libnvidia-gl-390:amd64                     390.141-0ubuntu0.20.04.1              amd64        NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
    ii  libnvidia-gl-390:i386                      390.141-0ubuntu0.20.04.1              i386         NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
    ii  libnvidia-ifr1-390:amd64                   390.141-0ubuntu0.20.04.1              amd64        NVIDIA OpenGL-based Inband Frame Readback runtime library
    ii  libnvidia-ifr1-390:i386                    390.141-0ubuntu0.20.04.1              i386         NVIDIA OpenGL-based Inband Frame Readback runtime library
    ii  linux-modules-nvidia-460-5.8.0-36-generic  5.8.0-36.40~20.04.1                   amd64        Linux kernel nvidia modules for version 5.8.0-36
    ii  nvidia-compute-utils-390                   390.141-0ubuntu0.20.04.1              amd64        NVIDIA compute utilities
    ii  nvidia-dkms-390                            390.141-0ubuntu0.20.04.1              amd64        NVIDIA DKMS package
    ii  nvidia-driver-390                          390.141-0ubuntu0.20.04.1              amd64        NVIDIA driver metapackage
    ii  nvidia-kernel-common-390                   390.141-0ubuntu0.20.04.1              amd64        Shared files used with the kernel module
    ii  nvidia-kernel-source-390                   390.141-0ubuntu0.20.04.1              amd64        NVIDIA kernel source package
    ii  nvidia-prime                               0.8.14                                all          Tools to enable NVIDIA's Prime
    ii  nvidia-settings                            440.82-0ubuntu0.20.04.1               amd64        Tool for configuring the NVIDIA graphics driver
    ii  nvidia-utils-390                           390.141-0ubuntu0.20.04.1              amd64        NVIDIA driver support binaries
    ii  screen-resolution-extra                    0.18build1                            all          Extension for the nvidia-settings control panel
    ii  xserver-xorg-video-nvidia-390              390.141-0ubuntu0.20.04.1              amd64        NVIDIA binary Xorg driver
    HTML Code:
    manuel@hypericum:~$ lsmod | grep -i nvidia
    manuel@hypericum:~$
    Mi linux is 20.04 just updated, i did a fresh installation yesterday, and updated to latest updates.

    HTML Code:
    manuel@hypericum:~$ uname -a
    Linux hypericum 5.8.0-36-generic #40~20.04.1-Ubuntu SMP Wed Jan 6 10:15:55 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux
    Thanks.


    "Can you use Advanced Options for Ubuntu to load into a 5.4 kernel? Would the open source Nouveau video driver be satisfactory for you?"
    I dont know how to use those advanced options. I would like to model in blender, my attempts to do so with noveau resulted in crashes in blender. I managed to install nvidia drivers previously and blender worked good, so i think its the only way i can use blender.
    Last edited by Manucho; January 14th, 2021 at 03:14 PM.

  5. #5
    Join Date
    Jun 2007
    Beans
    14,348

    Re: Problem installing nvidia drivers 390


  6. #6
    Join Date
    Dec 2011
    Beans
    19

    Re: Problem installing nvidia drivers 390

    I got the command line of grub before boot, by holding esc.
    Once I am there i dont have idea what command i must issue to load older kernel

  7. #7
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,780
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Problem installing nvidia drivers 390

    Manucho; Ho Kay - working on it

    We do have some clean up to do -
    ii libnvidia-compute-390:amd64
    ii linux-modules-nvidia-460-5.8.0-36-generic
    where there is a conflict in drivers.

    So we boot to that latest 5.4 kernel ( a new one out this day[5.4.0-62-generic]) update/upgrade/cleanup/install .

    To that end:
    boot to grub's boot menu and here choose "advanced options" >> latest 5.4 kernel.
    Execute terminal commands:
    Code:
    sudo apt update
    sudo apt upgrade
    reboot then into the -62 version kernel.

    Cleanup:
    Code:
    sudo apt purge nvidia-*
    to remove the drivers.

    Install:
    *IMPORTANT* if equiped disable secure boot as the nvidia driver is 3rd party, and to install the 390 vesion driver easily run:
    Code:
    sudo ubuntu-drivers autoinstall
    where I expect the system indeed to choose the 390 version. per
    https://www.nvidia.com/Download/driv...x/168290/en-us

    now reboot to see the effect.

    maybe yes
    Last edited by Bashing-om; January 15th, 2021 at 02:05 AM.
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  8. #8
    Join Date
    Dec 2011
    Beans
    19

    Re: Problem installing nvidia drivers 390

    "So we boot to that latest 5.4 kernel ( a new one out this day[5.4.0-62-generic]) update/upgrade/cleanup/install .

    To that end:
    boot to grub's boot menu and here choose "advanced options" >> latest 5.4 kernel.
    Execute terminal commands:
    Code:
    HTML Code:
    sudo apt update
    sudo apt upgrade
    reboot then into the -62 version kernel."

    when i press esc at boot, to log into grub's menu, i dont get a list or menu to choose from, i only get a command line, and i dont have idea which commands to issue in order to get ubuntu to boot from a different kernel.

    Maybe there is a command i can issue at that grub's prompt that brings up the menu to choose from?

    If that is not the case, which are the commands to load a specific kernel?

    thanks

  9. #9
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,780
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Problem installing nvidia drivers 390

    Manucho; Ouch!

    i dont get a list or menu to choose from, i only get a command line,

    What has happened from your first post where you were booting ?

    Now we are in for a learning curve - up for it ? - that my take a lot of time and effort on your part.
    If so advise us on exactly what the prompt is at this command line. as what the prompt is will determine what the kernel is aware of.

    Here too tell us what results from grub's command:
    Code:
    ls -al
    From here we can know what to direct grub's attention to in order to affect a boot.

    As you know it takes but a few minutes to do a new install - from a new .ISO - ; this might be the avenue to choose. There have been some fixes to the 5.8 kernel and all may well be good now.

    but, no pain == little gain
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  10. #10
    Join Date
    Jun 2007
    Beans
    14,348

    Re: Problem installing nvidia drivers 390

    Quote Originally Posted by Manucho View Post
    I got the command line of grub before boot, by holding esc.
    No, you're supposed to hold right shift to get a menu, not a prompt.

    Try this instead:
    For permanent change you'll need to edit your /etc/default/grub file -- place a "#" symbol at the start of line GRUB_HIDDEN_TIMEOUT=0.

    Save changes and run sudo update-grub to apply changes.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •